SequenceFile.CompressionType (Hadoop 0.20.2-cdh3u1 API)
Date: 2011-07-18

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.hadoop.io
Enum SequenceFile.CompressionType

    java.lang.Object
      java.lang.Enum<SequenceFile.CompressionType>
          org.apache.hadoop.io.SequenceFile.CompressionType

All Implemented Interfaces:
  Serializable, Comparable<SequenceFile.CompressionType>

Enclosing class:
  SequenceFile

    public static enum SequenceFile.CompressionType

extends Enum<SequenceFile.CompressionType>

The compression type used to compress key/value pairs in the `SequenceFile`.

See Also:
  `SequenceFile.Writer`

Enum Constant Summary
`BLOCK` Compress sequences of records together in blocks.
`NONE` Do not compress records.
`RECORD` Compress values only, each separately.

Method Summary
`static SequenceFile.CompressionType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SequenceFile.CompressionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NONE

    public static final SequenceFile.CompressionType NONE

  Do not compress records.

### RECORD

    public static final SequenceFile.CompressionType RECORD

  Compress values only, each separately.

### BLOCK

    public static final SequenceFile.CompressionType BLOCK

  Compress sequences of records together in blocks.

Method Detail

### values

    public static SequenceFile.CompressionType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SequenceFile.CompressionType c : SequenceFile.CompressionType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SequenceFile.CompressionType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009 The Apache Software Foundation